
From: Christoph Hellwig <hch@lst.de>

Signed-off-by: Christoph Hellwig <hch@lst.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/random.c  |    8 +-------
 25-akpm/include/linux/random.h |    2 --
 2 files changed, 1 insertion(+), 9 deletions(-)

diff -puN drivers/char/random.c~reove-dead-exports-from-randomc drivers/char/random.c
--- 25/drivers/char/random.c~reove-dead-exports-from-randomc	Mon Nov  1 16:14:44 2004
+++ 25-akpm/drivers/char/random.c	Mon Nov  1 16:14:44 2004
@@ -698,7 +698,7 @@ static int __init batch_entropy_init(int
  * hashing calculations during an interrupt in add_timer_randomness().
  * Instead, the entropy is only added to the pool by keventd.
  */
-void batch_entropy_store(u32 a, u32 b, int num)
+static void batch_entropy_store(u32 a, u32 b, int num)
 {
 	int new;
 	unsigned long flags;
@@ -729,8 +729,6 @@ void batch_entropy_store(u32 a, u32 b, i
 	spin_unlock_irqrestore(&batch_lock, flags);
 }
 
-EXPORT_SYMBOL(batch_entropy_store);
-
 /*
  * Flush out the accumulated entropy operations, adding entropy to the passed
  * store (normally random_state).  If that store has enough entropy, alternate
@@ -874,8 +872,6 @@ void add_keyboard_randomness(unsigned ch
 	}
 }
 
-EXPORT_SYMBOL(add_keyboard_randomness);
-
 void add_mouse_randomness(__u32 mouse_data)
 {
 	add_timer_randomness(&mouse_timer_state, mouse_data);
@@ -891,8 +887,6 @@ void add_interrupt_randomness(int irq)
 	add_timer_randomness(irq_timer_state[irq], 0x100+irq);
 }
 
-EXPORT_SYMBOL(add_interrupt_randomness);
-
 void add_disk_randomness(struct gendisk *disk)
 {
 	if (!disk || !disk->random)
diff -puN include/linux/random.h~reove-dead-exports-from-randomc include/linux/random.h
--- 25/include/linux/random.h~reove-dead-exports-from-randomc	Mon Nov  1 16:14:44 2004
+++ 25-akpm/include/linux/random.h	Mon Nov  1 16:14:44 2004
@@ -44,8 +44,6 @@ struct rand_pool_info {
 
 extern void rand_initialize_irq(int irq);
 
-extern void batch_entropy_store(u32 a, u32 b, int num);
-
 extern void add_keyboard_randomness(unsigned char scancode);
 extern void add_mouse_randomness(__u32 mouse_data);
 extern void add_interrupt_randomness(int irq);
_
